- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs
libepubgen_utils.h File Reference
`#include <boost/shared_ptr.hpp>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <stdint.h>`
`#include <inttypes.h>`

Go to the source code of this file.

## Classes
struct | libepubgen::EPUBGENDummyDeleter
class | libepubgen::GenericException

## Namespaces
| libepubgen

## Macros
#define | EPUBGEN_DEBUG_MSG(M)
#define | EPUBGEN_DEBUG(M)
#define | EPUBGEN_NUM_ELEMENTS(array) (sizeof(array) / sizeof(array[0]))

## Typedefs
typedef boost::shared_ptr< librevenge::RVNGInputStream > | libepubgen::RVNGInputStreamPtr_t

## Macro Definition Documentation

#define EPUBGEN_DEBUG | ( |  | M | ) |

#define EPUBGEN_DEBUG_MSG | ( |  | M | ) |

Referenced by libepubgen::EPUBListStyleManager::closeLevel(), libepubgen::EPUBTableStyleManager::closeTable(), libepubgen::EPUBListStyleManager::defineLevel(), libepubgen::EPUBParagraphStyleManager::defineParagraph(), libepubgen::EPUBSpanStyleManager::defineSpan(), libepubgen::EPUBTableStyleManager::extractCellProperties(), libepubgen::EPUBSpanStyleManager::extractTextPosition(), libepubgen::EPUBHTMLGeneratorImpl::flushUnsent(), libepubgen::EPUBTableStyleManager::getColumnsWidth(), libepubgen::EPUBListStyleManager::List::getCurrentProperties(), libepubgen::EPUBHTMLGenerator::openLink(), libepubgen::EPUBHTMLGeneratorImpl::pop(), libepubgen::EPUBHTMLGeneratorImpl::push(), and libepubgen::EPUBListStyleManager::List::setLevel().

#define EPUBGEN_NUM_ELEMENTS | ( |  | array | ) | (sizeof(array) / sizeof(array[0]))